Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Execute Blocking Snapshot

Execute a blocking snapshot for the specified source.

Blocking snapshots pause streaming during the snapshot operation and use Debezium’s initial snapshot process. They are useful for:

  • Snapshotting keyless tables (which incremental snapshots cannot handle)
  • Snapshotting large tables faster than incremental snapshots

Warning: Streaming will be paused during the snapshot operation. Note: additional_conditions filters are not supported for blocking snapshots.

POST/sources/execute_blocking_snapshot
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
source_idstringrequired
topic_namesstring[] | null
Show properties
Any of:
string[]
Array of string
string
null
null
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/sources/execute_blocking_snapshot' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "source_id": "string",
  "topic_names": [
    "string"
  ]
}'
Response
Successful Response